//
//  MainView.swift
//  Modal
//
//  Created by Mark Meretzky on 12/11/14.
//  Copyright (c) 2014 Mark Meretzky. All rights reserved.
//

import UIKit

class MainView: UILabel {
	let mainViewController: MainViewController;

	init(mainViewController: MainViewController) {
		// Initialization code
		self.mainViewController = mainViewController;
		super.init(frame: CGRectZero);
		backgroundColor = UIColor.whiteColor();
		textAlignment = NSTextAlignment.Center;
		text = "MainView";
		userInteractionEnabled = true; //Make this label touch-sensitive.
	}

	//Never called.
	required init(coder aDecoder: NSCoder) {
		let appDelegate: AppDelegate = UIApplication.sharedApplication().delegate! as AppDelegate;
		mainViewController = appDelegate.window!.rootViewController! as MainViewController;
		super.init(coder: aDecoder);
	}

	override func touchesBegan(touches: NSSet, withEvent event: UIEvent) {
		mainViewController.slideUpModal();
	}

	/*
	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.
	override func drawRect(rect: CGRect) {
		// Drawing code
	}
	*/

}
